#include "viewtube_controller.h"
#include "viewtube_view_web.h"
#include "viewtube_view_fpga.h"
#include <stdio.h>



int main(int argc, char ** argv)
{
    initialize_viewtube_controller();
    run_model_tests();
    start_web_view_server();
    start_fpga_view();
    interactive_menu();
    stop_web_view_server();
    stop_fpga_view();
    cleanup_viewtube_controller();
    return 0;
}